# NOTE: when updating, make sure tntnet and vdr-plugin-live still build. -Anssi

%define major	10
%define libname	%mklibname cxxtools %major
%define devname	%mklibname cxxtools -d

Summary:	Toolbox with reusable c++ components
Name:		cxxtools
Version:	3.0
Release:	%mkrel 1
License:	LGPLv2.1+
Group:		System/Libraries
URL:		http://www.tntnet.org/
Source0:	http://www.tntnet.org/download/%name-%version.tar.gz
Patch0:         cxxtools-3.0-arm.patch
Patch2:		cxxtools-3.0-gcc11.patch
Patch3:		cxxtools-3.0-i686.patch
Patch4:		cxxtools-3.0-ppc64le.patch
Patch5:		cxxtools-3.0-timer.patch
Patch10:	cxxtools-3.0-linking.patch
BuildRequires:	openssl-devel
Provides:       bundled(md5-polstra)

%description
Toolbox with reusable c++ components.

%package -n %libname
Summary:	Shared library of cxxtools
Group:		System/Libraries

%description -n %libname
Toolbox with reusable c++ components.

%package -n %devname
Summary:	Headers and development library for cxxtools
Group:		Development/C++
Requires:	%libname = %version
Provides:	cxxtools-devel = %version-%release

%description -n %devname
Toolbox with reusable c++ components.

%prep
%autosetup -p0 -n %{name}-%{version}

%build
autoreconf -fi
%configure \
%ifarch %{arm32} %{arm64}
	--with-atomictype=pthread \
%endif
	--disable-static \
	--disable-demos
%make_build

%install
%make_install

%check
export TZ=UTC
LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./test/.libs/alltests

%files
%license COPYING
%doc README AUTHORS
%{_bindir}/cxxtz
%{_bindir}/siconvert

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%doc README AUTHORS
%{_bindir}/cxxtools-config
%{_libdir}/*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/cxxtools*.pc


%changelog
* Sun Oct 02 2022 wally <wally> 3.0-1.mga9
+ Revision: 1893999
- new version 3.0 (from neoclust)
- new lib major 10
- add patch to fix linking
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.2.1-9.mga8
+ Revision: 1511805
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-8.mga7
+ Revision: 1297391
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 2.2.1-7.mga7
+ Revision: 1238026
- sync patches with Fedora
- fix build on aarch64
- disable static build and drop .la files
- drop multiarch support

* Thu Feb 11 2016 umeabot <umeabot> 2.2.1-6.mga6
+ Revision: 953654
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 cjw <cjw> 2.2.1-5.mga6
+ Revision: 868865
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-4.mga5
+ Revision: 743760
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 693719
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 678658
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 anssi <anssi> 2.2.1-1.mga5
+ Revision: 587557
- new version 2.2.1 (CVE-2013-7298)

* Tue Oct 22 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 543049
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.2-1.mga4
+ Revision: 498147
- new version 2.2
- drop patches, fixed upstream

* Sun Apr 07 2013 rtp <rtp> 2.1.1-3.mga3
+ Revision: 408923
- merge arm build fix from debian

* Fri Jan 11 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 348530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 pterjan <pterjan> 2.1.1-1.mga3
+ Revision: 327077
- 2.1.1
- Add missing dependency in the Makefile

* Sat Jan 15 2011 anssi <anssi> 1.4.8-4.mga1
+ Revision: 19762
- clean up old post/postun scripts
- imported package cxxtools


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-3mdv2011.0
+ Revision: 610186
- rebuild

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 1.4.8-2mdv2010.1
+ Revision: 501446
- fix build (use-right-eof-value.patch from upstream)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Sep 06 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.8-1mdv2009.0
+ Revision: 281915
- New version
- New major 6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Anssi Hannula <anssi@mandriva.org> 1.4.7-2mdv2009.0
+ Revision: 197071
- new version
- new major

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 155075
- initial Mandriva release

